import { z } from 'zod';
export declare const oauthAuthorizationCodeGrantTokenRequestSchema: z.ZodObject<{
    grant_type: z.ZodLiteral<"authorization_code">;
    code: z.ZodString;
    redirect_uri: z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, `${string}:${string}`, string>, `http://[::1]${string}` | "http://localhost" | `http://localhost#${string}` | `http://localhost?${string}` | `http://localhost/${string}` | `http://localhost:${string}` | "http://127.0.0.1" | `http://127.0.0.1#${string}` | `http://127.0.0.1?${string}` | `http://127.0.0.1/${string}` | `http://127.0.0.1:${string}`, string>, `http://[::1]${string}` | "http://127.0.0.1" | `http://127.0.0.1#${string}` | `http://127.0.0.1?${string}` | `http://127.0.0.1/${string}` | `http://127.0.0.1:${string}`, string>, z.ZodEffects<z.ZodEffects<z.ZodString, `${string}:${string}`, string>, `https://${string}`, string>, z.ZodEffects<z.ZodEffects<z.ZodString, `${string}:${string}`, string>, `${string}.${string}:/${string}`, string>]>;
    /** @see {@link https://datatracker.ietf.org/doc/html/rfc7636#section-4.1} */
    code_verifier: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    code: string;
    redirect_uri: `http://[::1]${string}` | "http://127.0.0.1" | `http://127.0.0.1#${string}` | `http://127.0.0.1?${string}` | `http://127.0.0.1/${string}` | `http://127.0.0.1:${string}` | `https://${string}` | `${string}.${string}:/${string}`;
    grant_type: "authorization_code";
    code_verifier?: string | undefined;
}, {
    code: string;
    redirect_uri: string;
    grant_type: "authorization_code";
    code_verifier?: string | undefined;
}>;
export type OAuthAuthorizationCodeGrantTokenRequest = z.infer<typeof oauthAuthorizationCodeGrantTokenRequestSchema>;
//# sourceMappingURL=oauth-authorization-code-grant-token-request.d.ts.map